System.ServiceModel 4.0.0.0 System.Object

A categories document describes the categories allowed within a collection.

Represents a categories document.

- Property
  4.0.0.0
  System.Collections.Generic.Dictionary<System.Xml.XmlQualifiedName,System.String> To be added.

  An attribute extension is a valid XML attribute that is not specified in either the Atom 1.0 or RSS 2.0 specifications.

  Gets a collection of attribute extensions.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  The base URI of the .

- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument `` To be added.

  Creates a new instance.

  Returns .

  A collection of instances used to initialize the new instance.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.ReferencedCategoriesDocument `` To be added.

  Creates a new instance of the initializing it with the specified .

  Returns .

  The URI of the categories document.
- Method
  4.0.0.0
  System.ServiceModel.Syndication.InlineCategoriesDocument `` `` ``

  If the parameter is set to true, the categories contained within the categories document are immutable. If the parameter is set to true, additional categories can be added to the categories document.

  Creates a new instance of the class.

  Returns .

  A collection of categories. A value that specifies whether a user can add a category to the categories document. The scheme of the categories document.
- Property
  4.0.0.0
  System.ServiceModel.Syndication.SyndicationElementExtensionCollection To be added. To be added.

  Gets the element extensions for the .

- Method
  4.0.0.0
  System.ServiceModel.Syndication.CategoriesDocumentFormatter To be added.

  Gets a new instance initialized with the on which this method is called.

  Returns .

- Property
  4.0.0.0
  System.String To be added. To be added.

  Gets and sets the language of the .

- Method
  4.0.0.0
  System.ServiceModel.Syndication.CategoriesDocument `` To be added.

  Loads a instance from an .

  Returns .

  The to read from.
- Method
  4.0.0.0
  System.Void `` To be added.

  Saves the to a .

  The to write to.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added.

  Attempts to parse an attribute extension.

  Returns .

  The name of the element. The namespace of the element. The attribute to parse. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Boolean `` `` To be added.

  Attempts to parse an element extension.

  Returns .

  The to read from. The syndication version to use when parsing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the attribute extensions to the specified .

  The to write to. The syndication version to use when writing.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  Writes the element extension to the specified .

  The to write to. The syndication version to use when writing.